<template>

    <div>
        <v-card class="d-flex">
            <v-row class="mr-md-0">
                <v-col cols="12" md="5" class="py-10">

                    <v-form @submit.prevent="login" class="py-5 px-6" autocomplete="off" lazy-validation>
                        <v-row>
                            <v-col cols="12">
                                <v-text-field :label="$t('register.email')" dir="auto" v-model="email" />
                            </v-col>

                            <v-col cols="12">
                                <!--<button color="#000" type="submit" name="button" id="btn-register">-->
                                <!--    ثبت نام-->
                                <!--</button>-->
                                <v-btn type="submit" color="#4c4c4c" class="w-100 buy-btn" value="Submit">ورود</v-btn>
                            </v-col>
                        </v-row>
                    </v-form>
                </v-col>
                <v-col cols="7" class="mobile-d-none left-box">
                    <v-btn class="no-bg" @click="dialog = false" text>
                        <i class="icon icon-close icon-30"></i>
                    </v-btn>
                    <v-col cols="12" md="12" class="text-first">
                        <p class="title-top" v-html="$t('register.title2')"></p>

                        <p class="english-text" v-html="$t('register.link')"></p>
                    </v-col>
                </v-col>
            </v-row>
        </v-card>
    </div>


</template>

<script>
import {ValidationObserver, ValidationProvider} from 'vee-validate';
import UserService from '@/services/UserService';
import {persianNumber} from '@/utils/helpers';
import Validators from "@/utils/validators";
import {mapState} from 'vuex';
import axios from "axios";

export default {
    name: 'Login',
    components: {
        ValidationObserver,
        ValidationProvider
    },
    data() {

        return {
            email: '',
            results: [],
            rules: {
                email: Validators(this.$i18n).emailRule,
            },

        }
    },
    methods: {
        login() {

            // axios.get('http://localhost:3000/login?q=' + this.email)
            //     .then(resp => {
            //         console.log(resp.data[0].name)
            //         this.results = resp.data[0].name
            //         this.$store
            //             .dispatch('user/findUser',  this.results).then(() => {
            //             console.log('there was a form ' +  this.form)
            //             this.form = this.createFreshRegister()
            //         })
            //     }).catch(error => {
            //     console.log(error);
            // });

            this.$store
                .dispatch('user/findUser', this.email).then(() => {
                console.log('there was a form ' + this.email)

            }).catch(() => {
                console.log('there was a problem')
            })


        }

    },
}
</script>

<style lang="scss" scoped>
::v-deep .v-dialog {
    max-width: 900px;
    border-radius: 0;
}

.v-card {
    overflow: hidden;
    background-color: #ffffff;
    border-radius: 4px;
    border: 2px solid #fff;
}

.left-box {
    background-color: #ccc;

    .text-first {
        text-align: center;
        margin-bottom: 170px;

        @media #{map-get($display-breakpoints, 'sm-and-down')} {
            margin-bottom: 85px;
        }

        .title-top {
            text-align: center;
            font-size: 30px !important;
            margin-bottom: 60px !important;
        }

        .english-text {
            text-transform: uppercase;
            font-size: 20px;
            font-weight: 500;
        }

    }
}

#total-price {
    width: 100%;
    padding: 16px;
    background-color: rgba(12, 167, 92, 0.1);
    color: #0ca75c;

    label {
        font-size: 14px;
        font-weight: normal;
        display: block;
    }

    span {
        font-size: 24px;
        font-weight: bold;
        letter-spacing: -2px;
    }
}

#btn-register {
    width: 100%;
    border: 1px solid #000;
    height: 50px;
    color: black;
}
</style>
